Subject: Re: NRAO situation, master database

From: [email-masked] (anton koekemoer)
Date: Mon, 11 Jul 94 22:06:18 EST

Dear friends,

with regards to the questions Don posed us:

> I am considering implementing various improvements for the AstroWeb
> input forms and supporting software. Before beginning the project, I
> would like to hear opinions and ideas from the Consortium. My main
> goal will be to provide means such that AstroWeb members can easily
> edit submitted resources and insert them into the STScI database, and
> can mark them off the list of inputs. Is this what we want? Is anyone
> else planning to implement some sort of overlapping capability? Is
> there a better way to reach our goals?

My views of useful improvements are: (1) every time a new entry is made via
the form, a tcl version of inp_incoming is generated (with a format identical
to that of Bob's newmaster.tcl); (2) a facility to enable us to edit that tcl
file in the same was as we currently edit newmaster.tcl (I basically have in
mind cutting an entry from inp_incoming.tcl and pasting it into newmaster.tcl
with potentially no changes needed). I still favour not letting the world in
general have direct access to newmaster.tcl since minor changes to their
entries are still sometimes needed; the above method will be one way of
minimizing the effort involved in transcribing entries from inp_incoming.tcl
to newmaster.tcl.

						cheers,
						 - anton.

PS these are just my suggestions; I do not intend writing the code..

---

From: dwells (Don Wells)
Date: Mon, 11 Jul 94 17:15:12 EDT

anton koekemoer writes:
 > to that of Bob's newmaster.tcl); 

Yes, that is essentially what I have in mind. My current plan is that
the new entry will be in fields in a form which will cause Bob's
database to do an ADD operation. Any of us can edit the fields, and
enter our name/password, and order the operation. After the operation
is done, the new entry will be removed from the input list. I.e., any
of us will be able to do the work, at any time, and the rest of us
will not need to check whether the work has been done.

 > .. I still favour not letting the world in
 > entries are still sometimes needed; ..

I agree.

 > PS these are just my suggestions; I do not intend writing the code..

Thanks for commenting on my ideas. I intend to try to write this code,
unless someone else wants to do the job or somebody suggests a better
way to get what we want.

-Don